
User Interface - Bug #2768

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

combo-box displays the item value instead of its label

10/20/2015 10:36 AM - Sergey Ivanovskiy

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Eugenie Lyzenko % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 10/20/2015 10:40 AM - Sergey Ivanovskiy

- File demo_widget_regression.png added

1) Run ./demo/movie-ratings-dynamic.p

2) Go through the login web page, press a space bar. The final screen has the "Select movie" combobox that displays "1" instead of its label "Titanic".

The logic is provided by these stetements

movie:LIST-ITEM-PAIRS = "Titanic,1,Pulp Fiction,2".

movie:SCREEN-VALUE = "1".

#2 - 10/20/2015 10:50 AM - Greg Shah

- Subject changed from Combobox displays the item value instead of its label. to combo-box displays the item value instead of its label

- Assignee set to Eugenie Lyzenko

- Target version set to Milestone 12

- Start date deleted (10/20/2015)

#3 - 10/20/2015 09:54 PM - Eugenie Lyzenko

Sergey, I need some clarification.

Do you have the working application(demo/movie-ratings-dynamic.p) at this time? Can you comment this mods in FillInGuiImpl?

...

   protected int nativeWidth()

   {

      if (config.fixedWidth)

      {

         return config.widthPixels;

      }

      else if (config.fontChanged)

      {

         int fmtLength = getCurrentFormat().getScreenWidth();

         config.fontChanged = false;

...

 

Is this from change:
...

** 021 SBI 20151014 ...

...

right?    

What were you planning to do if getCurrentFormat() == null? On the early initialization stages this is the exactly the case that stops using this

demo(NPE generation).

#4 - 10/21/2015 06:13 AM - Sergey Ivanovskiy

Do you have the working application(demo/movie-ratings-dynamic.p) at this time? Can you comment this mods in FillInGuiImpl?

 

At the time of testing it should work for branch 1811s rev 10995, I am not sure may be I have tested another version. But for rev 11005

the example is failed.

Is this from change:

 

protected int nativeWidth()

   {

      if (config.fixedWidth)

      {

         return config.widthPixels;

      }

      else if (config.fontChanged)

      {

         int fmtLength = getCurrentFormat().getScreenWidth();

         config.fontChanged = false;

 

right?

 

These are not all my changes, I have added only this one "Added to notify the client the current selection is changed." It needs to look at the

committed branch history to identify when it has been changed.
#5 - 10/21/2015 06:46 AM - Sergey Ivanovskiy

I have checked this example works with the described issue for the branch 1811s rev 10995. The target changes are due to rev. 10999.

#6 - 10/21/2015 08:52 AM - Eugenie Lyzenko

These are not all my changes, I have added only this one "Added to notify the client the current selection is changed."

 

Sorry, I was confused by the history log entry.

#7 - 10/21/2015 09:15 AM - Greg Shah

Igor: did you make changes in 2032a that are related to the list-items issue above?

Constantin: is the nativeWidth() change yours?

#8 - 10/21/2015 09:32 AM - Constantin Asofiei

Greg Shah wrote:

Constantin: is the nativeWidth() change yours?

 

Yes, the nativreWidth() change is mine, for fill-in's auto-resize via font attribute change fix.

#9 - 10/21/2015 09:38 AM - Igor Skornyakov

Greg Shah wrote:

Igor: did you make changes in 2032a that are related to the list-items issue above?

 

Sorry, I've never worked with 2032. And I do not remember that I've made any list-items related changes in at least last 3 months.

#10 - 10/21/2015 09:46 AM - Greg Shah

Sorry, I meant 2038a not 2032a.  I must be mis-remembering a change there.

#11 - 10/21/2015 09:52 AM - Igor Skornyakov

05/03/2024 3/5



Greg Shah wrote:

Sorry, I meant 2038a not 2032a.  I must be mis-remembering a change there.

 

I see. I have made no list-items related changes in 2038a.

#12 - 10/22/2015 10:46 AM - Constantin Asofiei

Eugenie Lyzenko wrote:

Sergey, I need some clarification.

Do you have the working application(demo/movie-ratings-dynamic.p) at this time? Can you comment this mods in FillInGuiImpl?

[...]

Is this from change:

[...]

right?

What were you planning to do if getCurrentFormat() == null? On the early initialization stages this is the exactly the case that stops using this

demo(NPE generation).

 

I've fixed this NPE in 1811s rev 110115 - fontChanged must not be set if widget's font is set via frame's definition.

#13 - 10/22/2015 12:44 PM - Eugenie Lyzenko

Constantin Asofiei wrote:

I've fixed this NPE in 1811s rev 110115 - fontChanged must not be set if widget's font is set via frame's definition.

 

OK. Thanks. I have removed my patches from FillInGuiImpl related to this bug.

#14 - 10/22/2015 12:44 PM - Eugenie Lyzenko
Task branch 1811s for review updated to revision 11020.

This includes the combo-box initial value display issue fix.

#15 - 10/22/2015 01:47 PM - Greg Shah

- Status changed from New to Closed

#16 - 11/10/2015 05:08 AM - Greg Shah

- % Done changed from 0 to 100

#17 - 11/16/2016 12:12 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App
